#!/usr/bin/env bash

echo "Archivo generado con Patchwerk (c) mrm/AnimeUnderground"
echo
if [[ ! $(which xdelta3) ]]; then
	echo "Es necesario tener instalado xdelta3. Saliendo."
	exit -1
else
if [[ ! -f "[BB] Fairy Tail 101 [588C6038].mkv" ]]; then
		echo "No se encuentra el fichero de origen: [BB] Fairy Tail 101 [588C6038].mkv"
		exit -1
	fi

if [[ ! -f "parche.xdelta" ]]; then
		echo "No se encuentra el parche: parche.xdelta"
		exit -1
	fi

	echo "Archivo de origen: [BB] Fairy Tail 101 [588C6038].mkv"
	echo "Archivo de destino: [BB] Fairy Tail 101 [DE10C52C].mkv"
	echo "Aplicando parche..."
	xdelta3 -d -s "[BB] Fairy Tail 101 [588C6038].mkv" "parche.xdelta" "[BB] Fairy Tail 101 [DE10C52C].mkv"
	echo "Parche aplicado."
fi

exit 0
